`<html><body style="word-wrap: break-word; -webkit-nbsp-mode: space; -webkit-line-break: after-white-space;" class="">I had a very similar problem a couple of days ago.<div class="">I solved it by using unique vlan numbers for each nic/vnic pair in the qemu arguments, i.e.:</div><div class=""><br class=""></div><div class=""><pre style="white-space: pre-wrap; background-color: rgb(255, 255, 255);" class="">/usr/bin/qemu-system-x86_64 \
-name "$(basename $NAME)" \
-boot cd \
-enable-kvm \
-vnc 0.0.0.0:$VNC \
-smp 2 \
-m $MEM \
-no-hpet \
-localtime \
-drive file=$HDD,if=ide,index=0 \
-drive file=$CD,media=cdrom,if=ide,index=2 \
-net nic,vlan=0,name=net0,model=e1000,macaddr=$mac1 \
-net vnic,vlan=0,name=net0,ifname=$VNIC1,macaddr=$mac1, \
-net nic,vlan=1,name=net1,model=e1000,macaddr=$mac2 \
-net vnic,vlan=1,name=net1,ifname=$VNIC2,macaddr=$mac2, \
-vga std \
-daemonize</pre><div class=""><br class=""></div></div><div class="">Daniil</div><div class=""><br class=""></div></body></html>`